Subject: Re: bug#7629: 23.2; Remote X Emacsclient Frame Issue

From: Stefan Monnier <[email-masked]>
Date: Wed, 22 Dec 2010 17:35:58 -0500

> If started locally with my emacsclient -c --alternate-editor="" script,
> the Emacs server creates its socket at /tmp/emacs1000/server

> If started remotely with the same script, but executed from my netbook
> via ssh -X, the Emacs server creates its socket at
> /tmp/user/1000/emacs1000/server.

Looks like the two ways set the TMPDIR variable differently.
emacsclient (and the server) both obey TMPDIR, so if the TMPDIR is
different, they won't find each other.

        Stefan